Skip to main content

Nexus API

Extend transaction history

Some institutions allow developers to access an extended transaction history with up to 24 months of data associated with a particular member. The process for fetching and then reading this extended transaction history is much like standard aggregation, and it may trigger multi-factor authentication. Use this endpoint to gather an extended transaction history for a particular member.
This longer history can then be accessed though the standard transaction endpoints. If this feature is not enabled, a 403 Forbidden error will be returned. If an institution does not support extended history, a 400 Bad Request error will be returned. If an extended transaction process is already running, a 202 Accepted status will be returned. If another aggregation-type process is already running — like standard aggregation or verification — a 409 Conflict will be returned. For more information on this and other aggregation-type processes, please see our developer guide.

POST
/members/{member_guid}/extend_history

Path Parameters

FieldRequiredType

member_guid

The unique identifier for the member. Defined by MX.

Required
String
Loading...